cURL
curl --request GET \
--url https://api.puretalk.ai/api/voices \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.puretalk.ai/api/voices"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.puretalk.ai/api/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 100,
"next": "https://api.puretalk.ai/api/voices?page=2",
"previous": "https://api.puretalk.ai/api/voices?page=1",
"results": [
{
"voice_id": "Puretalk Model V4",
"name": "Seven",
"avatar": "https://puretalkstorageprod.blob.core.windows.net/puretalk-public/puretalk-57f71505-0c31-4032-b9e8-f0985d7ae43d-webp",
"gender": "female",
"demo_audio_url": "https://puretalkstorageprod.blob.core.windows.net/puretalk-public/puretalk-b6dfdb86-6bf3-4851-b134-b525f0a13628-mp3",
"is_cloned": false,
"language": "en",
"description": "This is a description of the voice"
}
]
}{
"err": true,
"msg": "<string>"
}Voices
Get Voices
Returns all voices from the system that the user has access to
GET
/
voices
cURL
Authorizations
Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.
Query Parameters
The page number to return
The maximum number of results to return
Was this page helpful?
⌘I